Index: trunk/admin/modules/Elezioni/ele_circo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_circo.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_circo.php	(revision 257)
@@ -13,7 +13,6 @@
     die ("You can't access this file directly...");
 }
-
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $currentlang=$_SESSION['lang'];
@@ -24,6 +23,8 @@
 if ($perms<16 or !$id_cons_gen) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
 
-$res = mysql_query("SELECT t1.tipo_cons,t1.descrizione,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($tipo_cons,$descr_cons,$id_cons) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons,t1.descrizione,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($tipo_cons,$descr_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
@@ -55,6 +56,8 @@
 
 	if ($do == "modify"){
-		$res = mysql_query("SELECT * FROM ".$prefix."_ele_circoscrizione where id_circ='$id_circ'", $dbi);
-		$pro= mysql_fetch_array($res, 3);
+		$sql = "SELECT * FROM ".$prefix."_ele_circoscrizione where id_circ='$id_circ'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();	
+		$pro= $res->fetch(PDO::FETCH_BOTH);
 		echo "<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\">"
 		."<input type=\"hidden\" name=\"do\" value=\"update\">";
@@ -63,6 +66,8 @@
 		."<td align=\"center\"><input type=\"submit\" name=\"update\" value=\""._MODIFY."\"></td></tr>";
 	} else {
-		$result = mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'",$dbi);
-		$numc=mysql_num_rows($result);
+		$sql = "select max(num_circ) from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'";
+		$result = $dbi->prepare("$sql");
+		$result->execute();	
+		list($numc)=$result->fetch(PDO::FETCH_NUM);
 		$numc++;
 		echo "<tr><td align=\"right\"><input type=\"hidden\" name=\"do\" value=\"add\"><input type=\"text\" name=\"num_circ\"  maxlength=\"3\" size=\"3\" value=\"$numc\"></td>"
@@ -70,10 +75,16 @@
 		echo "<td align=\"center\"><input type=\"submit\" name=\"add\" value=\""._ADD."\"></td></tr>";
 	}	
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ", $dbi);
-	$max = mysql_num_rows($res);
-	$result = mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ORDER BY num_circ  LIMIT $min,$offset", $dbi);
-	while(list($id_cons2, $id_circ, $num_sez, $descr_circ) = mysql_fetch_row($result)) {
-		$restemp = mysql_query("select count(0) from ".$prefix."_ele_sede where id_circ='$id_circ'", $dbi);
-		list($numtemp)=mysql_fetch_row($restemp);
+	$sql = "SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	$max = $res->rowCount();
+	$sql="select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ORDER BY num_circ  LIMIT $min,$offset";
+	$result = $dbi->prepare("$sql");
+	$result->execute();	
+	while(list($id_cons2, $id_circ, $num_sez, $descr_circ) = $result->fetch(PDO::FETCH_NUM)) {
+		$sql="select count(0) from ".$prefix."_ele_sede where id_circ='$id_circ'";
+		$restemp = $dbi->prepare("$sql");
+		$restemp->execute();	
+		list($numtemp)=$restemp->fetch(PDO::FETCH_NUM);
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 		echo "<tr bgcolor=\"$bgcolor1\"><td align=\"right\"width=\"5%\"><b>$num_sez</b>"
@@ -132,26 +143,34 @@
 			die();
 		}else{
-			$rescirc= mysql_query("select num_circ from ".$prefix."_ele_circoscrizione where id_circ=$id_circ",$dbi);
-			if (mysql_num_rows($rescirc)!=1) die("(1001) Grave errore nel database! contattare l'amministratore");
-			list($num_circ)=mysql_fetch_row($rescirc);
-#			$rif_numcirc=($num_circ>1)?($num_circ-1):($num_circ+1);
-#			$rescirc= mysql_query("select id_circ from ".$prefix."_ele_circoscrizione where num_circ=$rif_numcirc and id_cons=$id_cons",$dbi);
-#			if (mysql_num_rows($rescirc)!=1) die("(1002) Grave errore nel database! contattare l'amministratore -- select id_circ from ".$prefix."_ele_circoscrizione where num_circ=$rif_numcirc  -- $num_circ and id_cons=$id_cons");
-#			list($rif_idcirc)=mysql_fetch_row($rescirc);
-#			mysql_query("update ".$prefix."_ele_sede set id_circ=$rif_idcirc where id_circ=$id_circ",$dbi);
-			$result = mysql_query("delete from ".$prefix."_ele_circoscrizione where id_circ='$id_circ'", $dbi)|| die("(1003) Grave errore nel database! contattare l'amministratore".mysql_error());
-			$rescirc= mysql_query("select id_circ,num_circ from ".$prefix."_ele_circoscrizione where num_circ>$num_circ and id_cons=$id_cons",$dbi);
-			while (list($tmp_id,$tmp_num)=mysql_fetch_row($rescirc))
-				mysql_query("update ".$prefix."_ele_circoscrizione set num_circ=".($tmp_num-1)." where id_circ=$tmp_id",$dbi);
+			$sql="select num_circ from ".$prefix."_ele_circoscrizione where id_circ=$id_circ";
+			$rescirc = $dbi->prepare("$sql");
+			$rescirc->execute();	
+			if ($rescirc->rowCount()!=1) die("(1001) Grave errore nel database! contattare l'amministratore");
+			list($num_circ)=$rescirc->fetch(PDO::FETCH_NUM);
+			$sql="delete from ".$prefix."_ele_circoscrizione where id_circ='$id_circ'";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
+			$sql="select id_circ,num_circ from ".$prefix."_ele_circoscrizione where num_circ>$num_circ and id_cons=$id_cons";
+			$rescirc = $dbi->prepare("$sql");
+			$rescirc->execute();	
+			while (list($tmp_id,$tmp_num)=$rescirc->fetch(PDO::FETCH_NUM)){
+				$sql="update ".$prefix."_ele_circoscrizione set num_circ=".($tmp_num-1)." where id_circ=$tmp_id";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
+			}
 			Header("Location: admin.php?op=circo&id_cons_gen=$id_cons_gen");
 		}
 	}elseif ($do == "add") {
 		if ($descr_circ) {
-			$result = mysql_query("insert into ".$prefix."_ele_circoscrizione (id_cons,num_circ,descrizione) values ('$id_cons','$num_circ','$descr_circ')", $dbi)|| die("(1004) Non e' stato possibile inserire i dati nel database! contattare l'amministratore".mysql_error());
+			$sql="insert into ".$prefix."_ele_circoscrizione (id_cons,num_circ,descrizione) values ('$id_cons','$num_circ','$descr_circ')";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
 			Header("Location: admin.php?op=circo&id_cons_gen=$id_cons_gen");
 		}
 	}elseif ($do == "update") {
 		
-		$result = mysql_query("update  ".$prefix."_ele_circoscrizione set num_circ='$num_circ' , descrizione='$descr_circ' WHERE id_circ='$id_circ'", $dbi)|| die("(1005) Non e' stato possibile aggiornare i dati! contattare l'amministratore".mysql_error());
+		$sql="update  ".$prefix."_ele_circoscrizione set num_circ='$num_circ' , descrizione='$descr_circ' WHERE id_circ='$id_circ'";
+		$result = $dbi->prepare("$sql");
+		$result->execute();	
 		Header("Location: admin.php?op=circo&id_cons_gen=$id_cons_gen");
 	}
Index: trunk/admin/modules/Elezioni/ele_collegi.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_collegi.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_collegi.php	(revision 257)
@@ -41,5 +41,7 @@
 
 	OpenTable();	
-	$resmod = mysql_query("SELECT t1.id_collegio, t1.descrizione, t2.descrizione FROM ".$prefix."_ele_collegi as t1, ".$prefix."_ele_consultazione as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen=$id_cons_gen order by t1.descrizione asc", $dbi);
+	$sql = "SELECT t1.id_collegio, t1.descrizione, t2.descrizione FROM ".$prefix."_ele_collegi as t1, ".$prefix."_ele_consultazione as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen=$id_cons_gen order by t1.descrizione asc";
+	$resmod = $dbi->prepare("$sql");
+	$resmod->execute();	
 	echo "<table><tr ALIGN=\"CENTER\">";
 	echo "<td bgcolor=\"$bgcolor1\"><b>"._CONSULTA."</b></td>";
@@ -50,6 +52,8 @@
 	echo "<input type=\"hidden\" name=\"id_collegio\" value=\"$id_collegio\">";
 	echo "<tr align=\"center\">";
-	$ressede = mysql_query("SELECT descrizione from ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'", $dbi);
-	list($descr_cons)=mysql_fetch_row($ressede);
+	$sql = "SELECT descrizione from ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'";
+	$ressede = $dbi->prepare("$sql");
+	$ressede->execute();	
+	list($descr_cons)=$ressede->fetch(PDO::FETCH_NUM);
 	echo "<td>$descr_cons</td>";
 	echo "<td  align=\"center\" width=\"32\"><input name=\"desc\" value=\"$desc\"></td>";
@@ -64,5 +68,5 @@
 	}
 	$i=0;
-	while (list($id_collegio2,$desc,$descr_cons) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
+	while (list($id_collegio2,$desc,$descr_cons) = $resmod->fetch(PDO::FETCH_NUM)){ //elenco dei modelli inseriti
 		$i++;
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
@@ -97,17 +101,22 @@
 				die();
   	   		}else{
-			  	$result = mysql_query("delete from ".$prefix."_ele_collegi where id_collegio='$id_collegio'", $dbi);
-    		      		if (!$result) return;
+			  	$sql = "delete from ".$prefix."_ele_collegi where id_collegio='$id_collegio'";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
+    		    if (!$result->rowCount()) return;
 			  	Header("Location: admin.php?op=inscollegi&id_cons_gen=$id_cons_gen");
 			}
      	 	}
    	  	if ($do == "add") {
-   	   		$result = mysql_query("insert into ".$prefix."_ele_collegi(id_cons_gen,descrizione) values ('$id_cons_gen','$desc')", $dbi) || die("Impossibile inserire il collegio! ".mysql_error());
+   	   		$sql = "insert into ".$prefix."_ele_collegi(id_cons_gen,descrizione) values ('$id_cons_gen','$desc')";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
    		}
     	 	if ($do == "update") {
-    		    	$result = mysql_query("update  ".$prefix."_ele_collegi set descrizione='$desc' , id_cons_gen='$id_cons_gen' where id_collegio='$id_collegio'", $dbi);
-    	       	if (!$result) return;
-#			echo "update  ".$prefix."_ele_collegi set descrizione='$desc' , id_cons_gen='$id_cons_gen' where id_collegio='$id_collegio'";
-   	        	Header("Location: admin.php?op=inscollegi&id_cons_gen=$id_cons_gen&id_collegio=$id_collegio");
+    		$sql= "update  ".$prefix."_ele_collegi set descrizione='$desc' , id_cons_gen='$id_cons_gen' where id_collegio='$id_collegio'";
+ 			$result = $dbi->prepare("$sql");
+			$result->execute();	
+   	       	if (!$result->rowCount()) return;
+			Header("Location: admin.php?op=inscollegi&id_cons_gen=$id_cons_gen&id_collegio=$id_collegio");
    		}
 	} 
Index: trunk/admin/modules/Elezioni/ele_come.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_come.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_come.php	(revision 257)
@@ -14,7 +14,6 @@
     die ("You can't access this file directly...");
 }
-
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $currentlang=$_SESSION['lang'];
@@ -38,6 +37,7 @@
 /*********************************************************/
 $sql="SELECT t1.descrizione,t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'";
-$res = mysql_query("$sql", $dbi);
-list($descr_cons,$tipo_cons,$id_cons) = mysql_fetch_row($res);
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($descr_cons,$tipo_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 
 include("modules/Elezioni/ele.php");
@@ -64,6 +64,8 @@
 
 
-    $result = mysql_query("select  mid, title,preamble, content,  editimage from ".$prefix.$tab."  where id_cons='$id_cons'", $dbi);
-    while(list($mid2, $title, $preamble, $content,  $editimage) = mysql_fetch_row($result)) {
+    $sql="select  mid, title,preamble, content,  editimage from ".$prefix.$tab."  where id_cons='$id_cons'";
+	$result = $dbi->prepare("$sql");
+	$result->execute();	
+    while(list($mid2, $title, $preamble, $content,  $editimage) = $result->fetch(PDO::FETCH_NUM)) {
 
 	echo "<tr>"
@@ -80,11 +82,14 @@
     echo "<br>";
     if($vai=='editedit'){
-    $result = mysql_query("select title, preamble,content, editimage from ".$prefix.$tab." WHERE mid='$mid' AND id_cons='$id_cons'", $dbi);
-    list($add_title,$add_preamble, $add_content, $editimage) = mysql_fetch_row($result);
+    $sql="select title, preamble,content, editimage from ".$prefix.$tab." WHERE mid='$mid' AND id_cons='$id_cons'";
+	$result = $dbi->prepare("$sql");
+	$result->execute();	
+    list($add_title,$add_preamble, $add_content, $editimage) = $result->fetch(PDO::FETCH_NUM);
     }
 //25.05.2009
     $sql="SELECT editor,ed_user FROM ".$prefix."_config";
-$res = mysql_query("$sql", $dbi);
-list($editor,$ed_user) = mysql_fetch_row($res);
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	list($editor,$ed_user) = $res->fetch(PDO::FETCH_NUM);
 //
 
@@ -157,5 +162,7 @@
 $temp=$title.$preamble.$content;
 	if (preg_match("/script/i",$temp)) die("La parola script e' proibita, devi toglierla dal testo.");
-    $result = mysql_query("update ".$prefix.$tab." set title='$title', preamble='$preamble', content='$content' WHERE mid='$mid' AND id_cons='$id_cons'", $dbi);
+    $sql="update ".$prefix.$tab." set title='$title', preamble='$preamble', content='$content' WHERE mid='$mid' AND id_cons='$id_cons'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
     Header("Location: admin.php?op=$op&vai=come&id_cons_gen=$id_cons_gen");
 }
@@ -164,6 +171,8 @@
     global $prefix, $dbi,$id_cons, $id_cons_gen,$tab,$op;
 
-    $result = mysql_query("insert into ".$prefix.$tab." (id_cons,title,preamble,content) values ('$id_cons', '$add_title', '$add_preamble','$add_content')", $dbi);
-    if (!$result) {
+    $sql="insert into ".$prefix.$tab." (id_cons,title,preamble,content) values ('$id_cons', '$add_title', '$add_preamble','$add_content')";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+    if (!$res->rowCount()) {
 	exit();
     }
@@ -175,6 +184,8 @@
     global $prefix, $dbi, $id_cons,$id_cons_gen,$tab,$op;
     if($ok) {
-	$result = mysql_query("delete from ".$prefix.$tab." where mid=$mid and id_cons='$id_cons'", $dbi);
-    	if (!$result) {
+	$sql="delete from ".$prefix.$tab." where mid=$mid and id_cons='$id_cons'";
+ 	$res = $dbi->prepare("$sql");
+	$res->execute();	
+   	if (!$res->rowCount()) {
 	    return;
     	}
Index: trunk/admin/modules/Elezioni/ele_comuni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_comuni.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_comuni.php	(revision 257)
@@ -12,7 +12,8 @@
     die ("You can't access this file directly...");
 }
-#foreach($_FILES as $key=>$val) echo $key;die();
+#foreach($_SESSION as $key=>$val) echo "$key : $val<br>";die();
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
+#$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $id_comune=$_SESSION['id_comune'];
@@ -36,8 +37,12 @@
 if (isset($param['cap'])) get_magic_quotes_gpc() ? $cap=$param['cap']:$cap=addslashes($param['cap']); else $cap='';
 
-	$res = mysql_query("SELECT t1.tipo_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' " , $dbi);
-	list($tipo_cons) = mysql_fetch_row($res);
-	$res = mysql_query("SELECT genere FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' " , $dbi);
-	list($genere) = mysql_fetch_row($res);
+	$sql="SELECT t1.tipo_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	list($tipo_cons) = $res->fetch(PDO::FETCH_NUM);
+	$sql="SELECT genere FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	list($genere) = $res->fetch(PDO::FETCH_NUM);
 	include("modules/Elezioni/funzionidata.php");
 	include("modules/Elezioni/ele.php");
@@ -70,5 +75,8 @@
 
  
-	$resmod = mysql_query("SELECT id_comune,descrizione,indirizzo,centralino,fax,email,fascia,capoluogo,simbolo,cap FROM ".$prefix."_ele_comuni where descrizione like '$cerca%' order by descrizione", $dbi);
+	$sql="SELECT id_comune,descrizione,indirizzo,centralino,fax,email,fascia,capoluogo,simbolo,cap FROM ".$prefix."_ele_comuni where descrizione like '$cerca%' order by descrizione";
+	$resmod = $dbi->prepare("$sql");
+	$resmod->execute();	
+#	list($tipo_cons) = $resmod->fetch(PDO::FETCH_NUM);
 	echo "<table width=\"100%\"><tr><td bgcolor=\"$bgcolor2\"> <form name=\"cerca\" action=\"admin.php\">"
 	."<input type=\"hidden\" name=\"op\" value=\"inscomuni\">";
@@ -97,6 +105,8 @@
 	echo "<tr><td bgcolor=\"$bgcolor1\"><b>"._FASCIA."</b></td><td><select name=\"fascia\">";
 	$descr2="<";
-			$resopt1 = mysql_query("select id_fascia, abitanti from ".$prefix."_ele_fasce where id_conf=1 order by id_fascia", $dbi);
-		while(list($id,$descr)=mysql_fetch_row($resopt1)){
+	$sql="select id_fascia, abitanti from ".$prefix."_ele_fasce where id_conf=1 order by id_fascia";
+	$resopt1 = $dbi->prepare("$sql");
+	$resopt1->execute();	
+		while(list($id,$descr)=$resopt1->fetch(PDO::FETCH_NUM)){
 			$selid= ($id == $fasciatmp) ? "selected":"";
 			
@@ -134,5 +144,5 @@
 
 ####
-	while (list($id_comune2,$desc,$indirizzo,$centralino,$fax,$email,$fasciatmp,$prov,$simbolo,$cap) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
+	while (list($id_comune2,$desc,$indirizzo,$centralino,$fax,$email,$fasciatmp,$prov,$simbolo,$cap) = $resmod->fetch(PDO::FETCH_NUM)){ //elenco dei modelli inseriti
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 		if (!$simbolo) $simbolo="nulla.jpg";
@@ -154,12 +164,16 @@
 		echo "<td><b>".substr($email,0,15)."...</b></td>";
 		echo "<td><b>$cap</b></td>";
-		$resopt1 = mysql_query("select abitanti from ".$prefix."_ele_fasce where id_fascia=$fasciatmp and id_conf=$id_conf", $dbi);
-		list($tmpfascia)=mysql_fetch_row($resopt1);
+		$sql="select abitanti from ".$prefix."_ele_fasce where id_fascia=$fasciatmp and id_conf=$id_conf";
+		$resopt1 = $dbi->prepare("$sql");
+		$resopt1->execute();	
+		list($tmpfascia)=$resopt1->fetch(PDO::FETCH_NUM);
 		$fasciaref=$fasciatmp-1;
-		$resopt1 = mysql_query("select abitanti from ".$prefix."_ele_fasce where id_fascia=$fasciaref and id_conf=$id_conf", $dbi);
-		if(mysql_num_rows($resopt1)==0) $valfascia="< $tmpfascia";
+		$sql="select abitanti from ".$prefix."_ele_fasce where id_fascia=$fasciaref and id_conf=$id_conf";
+		$resopt1 = $dbi->prepare("$sql");
+		$resopt1->execute();	
+		if($resopt1->rowCount()==0) $valfascia="< $tmpfascia";
 		else
 		{
-		    list($tmp2fascia)=mysql_fetch_row($resopt1);
+		    list($tmp2fascia)=$resopt1->fetch(PDO::FETCH_NUM);
 			$valfascia="$tmp2fascia - $tmpfascia";
 		}
@@ -219,6 +233,8 @@
 					$stemmanome=addslashes($nomestemma);
 				}
-      			$result = mysql_query("insert into ".$prefix."_ele_comuni (id_comune,descrizione,indirizzo,centralino,fax,email,fascia,capoluogo,simbolo,stemma,cap) values ('$id_comune','$desc','$indirizzo','$centralino','$fax','$email','$fasciatmp','$prov','$stemmanome','$stemmablob','$cap')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
-           		Header("Location: admin.php?op=inscomuni&id_cons_gen=$id_cons_gen");
+      			$sql = "insert into ".$prefix."_ele_comuni (id_comune,descrizione,indirizzo,centralino,fax,email,fascia,capoluogo,simbolo,stemma,cap) values ('$id_comune','$desc','$indirizzo','$centralino','$fax','$email','$fasciatmp','$prov','$stemmanome','$stemmablob','$cap')";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
+          		Header("Location: admin.php?op=inscomuni&id_cons_gen=$id_cons_gen");
      		} else {
         		OpenTable();
@@ -242,5 +258,7 @@
 				$cond=", simbolo='$stemmanome', stemma='$stemmablob'";
 			} else {$cond='';$stemmanome=''; $stemmablob='';}
-        	$result = mysql_query("update  ".$prefix."_ele_comuni set descrizione='$desc' , indirizzo='$indirizzo', centralino='$centralino', fax='$fax' , cap='$cap' , email='$email', fascia='$fasciatmp',capoluogo='$prov' $cond where id_comune='$id_comune'", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+        	$sql = "update  ".$prefix."_ele_comuni set descrizione='$desc' , indirizzo='$indirizzo', centralino='$centralino', fax='$fax' , cap='$cap' , email='$email', fascia='$fasciatmp',capoluogo='$prov' $cond where id_comune='$id_comune'";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
            	Header("Location: admin.php?op=inscomuni&id_cons_gen=$id_cons_gen");
    	}
Index: trunk/admin/modules/Elezioni/ele_confcons.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_confcons.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_confcons.php	(revision 257)
@@ -15,7 +15,6 @@
 // Offset - visualizza il numero di elementi per pagina
 $offset=5;
-
+global $db1;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $currentlang=$_SESSION['lang'];
@@ -26,6 +25,8 @@
 
 $id_comune=$_SESSION['id_comune'];
-$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune' " , $dbi);
-list($tipo_cons,$id_cons) = mysql_fetch_row($res);
+$sql = "SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune' ";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($tipo_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 
 include("modules/Elezioni/funzionidata.php");
@@ -66,12 +67,16 @@
 
 	//-----------------------visualizza blocco inserimento -
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_conf", $dbi); //da modificare
-	$max = mysql_num_rows($res);
+	$sql="SELECT * FROM ".$prefix."_ele_conf"; //da modificare
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	$max = $res->rowCount();
 	$nuovo_gruppo=$max+1;
 	echo "<form name=\"gruppo2\" enctype=\"multipart/form-data\" action=\"admin.php\" method=\"post\">"
 	."<input type=\"hidden\" name=\"op\" value=\"confconsiglio\">";
 	if ($do=='modify') {
-	$resl = mysql_query("SELECT * FROM ".$prefix."_ele_conf where id_conf='$id_conf'", $dbi);
-	$gru=mysql_fetch_array($resl);
+	$sql="SELECT * FROM ".$prefix."_ele_conf where id_conf='$id_conf'";
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();	
+	$gru=$resl->fetch(PDO::FETCH_BOTH);
 	$nuovo_gruppo=$gru['id_conf'];
 	echo "<input type=\"hidden\" name=\"do\" value=\"update\">";
@@ -85,10 +90,12 @@
 	."<tr><td align=\"center\"><b>"._LIMITE."</b></td><td><select name=\"limite\"><option value=\"0\">"._NOFASCIA;
 		
-		$result1 = mysql_query("select id_fascia, abitanti from ".$prefix."_ele_fasce where id_conf='".$gru['id_conf']."' order by id_fascia", $dbi);
-		while(list($id,$descr)=mysql_fetch_row($result1)){
-			$sel= ($id == $gru['limite']) ? "selected":"";
-			echo "<option value=\"$id\" $sel>$descr";
-		}
-		echo "</select></td>";
+	$sql="select id_fascia, abitanti from ".$prefix."_ele_fasce where id_conf='".$gru['id_conf']."' order by id_fascia";
+	$result1 = $dbi->prepare("$sql");
+	$result1->execute();	
+	while(list($id,$descr)=$result1->fetch(PDO::FETCH_NUM)){
+		$sel= ($id == $gru['limite']) ? "selected":"";
+		echo "<option value=\"$id\" $sel>$descr";
+	}
+	echo "</select></td>";
 	$sel= ($gru['consin']==1) ? "selected":"";
 	echo "<td align=\"center\"><b>"._CONSIN."</b></td><td><select name=\"consin\"><option value=\"0\">No<option value=\"1\" $sel>Si</select></td></tr>"
@@ -116,8 +123,12 @@
 		
 		
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_conf", $dbi);
-	$max = mysql_num_rows($res);
-	$result = mysql_query("select * from ".$prefix."_ele_conf ORDER BY id_conf  LIMIT $min,$offset", $dbi);
-	while(list($id_conf,$descrizione,$limite, $consin,$infpremio, $supsbarramento, $suppremio, $listinfsbar, $listinfconta, $listsupconta) = mysql_fetch_row($result)) {
+	$sql="SELECT * FROM ".$prefix."_ele_conf";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	$max = $res->rowCount();
+	$sql="select * from ".$prefix."_ele_conf ORDER BY id_conf  LIMIT $min,$offset";
+	$result = $dbi->prepare("$sql");
+	$result->execute();	
+	while(list($id_conf,$descrizione,$limite, $consin,$infpremio, $supsbarramento, $suppremio, $listinfsbar, $listinfconta, $listsupconta) = $result->fetch(PDO::FETCH_NUM)) {
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 		echo "<tr bgcolor=\"$bgcolor1\"><td align=\"center\"><b>$id_conf</b></td>"
@@ -179,6 +190,8 @@
 				echo "[ <a href=\"admin.php?op=confconsiglio&amp;id_cons_gen=$id_cons_gen&amp;id_conf=$id_conf\">"._NO."</a> ] - [<a href=\"admin.php?op=confconsiglio&amp;do=delete&amp;id_conf=$id_conf&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;ok=1\">"._YES."</a> ]";exit;
      			}else{
-				$result = mysql_query("delete from ".$prefix."_ele_conf where id_conf='$id_conf'", $dbi);
-          			if (!$result) return;
+				$sql="delete from ".$prefix."_ele_conf where id_conf='$id_conf'";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
+          		if (!$result->rowCount()) return;
 				Header("Location: admin.php?op=confconsiglio&id_cons_gen=$id_cons_gen&id_conf=$id_conf&min=$min");
 			}
@@ -186,6 +199,8 @@
       			if ($descrizione) {
 				$sqlset='';
-      				$result = mysql_query("insert into ".$prefix."_ele_conf(id_conf,descrizione, limite,consin,infpremio,supsbarramento,suppremio,listinfsbar,listinfconta,listsupconta,infminpremio,supminpremio) values ('$id_conf','$descrizione','$limite','$consin','$infpremio','$supsbarramento','$suppremio','$listinfsbar','$listinfconta','$listsupconta','$infminpremio','$supminpremio')", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
-           			if (!$result) return;
+      			$sql="insert into ".$prefix."_ele_conf(id_conf,descrizione, limite,consin,infpremio,supsbarramento,suppremio,listinfsbar,listinfconta,listsupconta,infminpremio,supminpremio) values ('$id_conf','$descrizione','$limite','$consin','$infpremio','$supsbarramento','$suppremio','$listinfsbar','$listinfconta','$listsupconta','$infminpremio','$supminpremio')";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
+           			if (!$result->rowCount()) return;
            			Header("Location: admin.php?op=confconsiglio&id_cons_gen=$id_cons_gen&min=$min");
      			} else {
@@ -197,5 +212,7 @@
      			}
    		} elseif ($do == "update") {
-			$result = mysql_query("update  ".$prefix."_ele_conf set descrizione='$descrizione', limite='$limite', consin='$consin', infpremio='$infpremio', supsbarramento='$supsbarramento', suppremio='$suppremio', listinfsbar='$listinfsbar', listinfconta='$listinfconta', listsupconta='$listsupconta', infminpremio='$infminpremio', supminpremio='$supminpremio' where id_conf='$id_conf' ", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
+			$sql="update  ".$prefix."_ele_conf set descrizione='$descrizione', limite='$limite', consin='$consin', infpremio='$infpremio', supsbarramento='$supsbarramento', suppremio='$suppremio', listinfsbar='$listinfsbar', listinfconta='$listinfconta', listsupconta='$listsupconta', infminpremio='$infminpremio', supminpremio='$supminpremio' where id_conf='$id_conf' ";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
 			Header("Location: admin.php?op=confconsiglio&id_cons_gen=$id_cons_gen&min=$min");
    		}
Index: trunk/admin/modules/Elezioni/ele_configurazione.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 257)
@@ -257,6 +257,6 @@
 		$sth = $dbi->prepare("$sql");
 		$sth->execute();
-		$sql2 = $sth->fetch(PDO::FETCH_BOTH);
-		foreach($sql2 as $row){
+		while( $row = $sth->fetch(PDO::FETCH_BOTH)) {
+	#	foreach($sql2 as $row){
 			$esi=0;
 			for ($i=0; $i < sizeof($tlist); $i++) {
